Java 11 is the recommended version to run Jenkins on

43 views
Skip to first unread message

s.p...@gmail.com

unread,
Nov 3, 2021, 10:24:47 AM11/3/21
to Jenkins Users
After I upgraded Jenkins to 2.303.2, I'm seeing an alert as below. J. I think Java 11 is OpenJDK and we are using java 1.8.0_301. Is Java 1.8 no longer supported ? Any inputs are really appreciated. TIA

"Java11 is the recommended version to run Jenkins on; please consider upgrading."



Mark Waite

unread,
Nov 3, 2021, 10:38:28 AM11/3/21
to Jenkins Users
Jenkins continues to support Java 8.  We recommend Java 11.

See https://www.jenkins.io/blog/2021/08/17/docker-images-use-jdk-11-by-default/ for more details on the rationale for that transition.

Burns, Daniel

unread,
Nov 3, 2021, 10:44:00 AM11/3/21
to jenkins...@googlegroups.com

Somewhere it states that not all plug-ins support Java 11 also.

 

Daniel R. Burns |Lead Cloud Platform Engineer – Platform Services |A picture containing clock

Description automatically generated CFB #2273Phone: 214-812-2277|Mobile: 469-298-8917|Email: daniel...@vistracorp.com

 

Please direct all issues and requests to ServiceNow.

 

From: <jenkins...@googlegroups.com> on behalf of Mark Waite <mark.ea...@gmail.com>
Reply-To: "jenkins...@googlegroups.com" <jenkins...@googlegroups.com>
Date: Wednesday, November 3, 2021 at 9:38 AM
To: Jenkins Users <jenkins...@googlegroups.com>
Subject: Re: Java 11 is the recommended version to run Jenkins on

 

EXTERNAL EMAIL

 

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to jenkinsci-use...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/30b4e059-f436-4645-9777-3289efd4a487n%40googlegroups.com.

Mark Waite

unread,
Nov 3, 2021, 11:43:48 AM11/3/21
to Jenkins Users
Good point.  More details on the transition to Java 11 are included in the 2.303.1 upgrade guide.  The upgrade guide includes a list of plugins known to be incompatible with Java 11.

s.p...@gmail.com

unread,
Nov 3, 2021, 3:18:44 PM11/3/21
to Jenkins Users
Thank you Mark!

Matt Wilson

unread,
Nov 4, 2021, 9:39:13 AM11/4/21
to Jenkins Users
I haven't tried switching yet.  Any concerns about switching to 11 and then rolling back to 8 if there is a problem?  Guessing no, but thought I'd ask...
Reply all
Reply to author
Forward
0 new messages